Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.part
Class PluginTransferData

    java.lang.Object
      org.eclipse.ui.part.PluginTransferData

public class PluginTransferData
extends Object

Record for transferring data during a drag and drop operation between different plug-ins. This object contains an extension identifier and a block of bytes. When the drop occurs, the data is interpreted by an action defined in the specified extension.

The workbench will automatically create instances of this class as required. It is not intended to be instantiated or subclassed by clients.

Constructor Summary
`PluginTransferData(String extensionId, byte[] data)` Creates a new record for the given extension id and data.

Method Summary
`byte[]` | `getData()` Returns the data being transferred.
`String` | `getExtensionId()` Returns the id of the extension that will provide the drop action.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginTransferData

    public PluginTransferData(String extensionId,
                              byte[] data)

  Creates a new record for the given extension id and data.

Parameters:
  `extensionId` - the extension id
  `data` - the data to transfer

Method Detail

### getData

    public byte[] getData()

  Returns the data being transferred.

  Returns:
    the data

### getExtensionId

    public String getExtensionId()

  Returns the id of the extension that will provide the drop action.

  Returns:
    the extension id

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.